<?php
/*
Plugin Name: WPJAM Video
Plugin URI: http://fairyfish.net/project/wpjam-video/
Description: 这个插件主要功能是使用 [video] Shortcode 在 WordPress 中插入视频，目前只支持优酷。该插件支持视频全平台播放，在 PC 上使用 Flash 播放器播放，在 iPhone 和 iPad 上使用 HTML5 播放器播放。并且还支持缓存插件，使用简单，用法参考：<a href="http://fairyfish.net/project/wpjam-video/">http://fairyfish.net/project/wpjam-video/</a>
Author: Denis
Author URI: http://fairyfish.net/
*/

add_shortcode( 'video', 'wpjam_video_shortcode_callback' );
function wpjam_video_shortcode_callback( $atts,$content ) {

	extract( shortcode_atts( array(
		'width' => '480',
		'height' => '400',
	), $atts ) );
	
	
	global $wpjam_video_id;
	if($wpjam_video_id){
		$wpjam_video_id++;
	}else{
		$wpjam_video_id = 1;
	}

	$ipad_height = $height * 0.9;

	if(preg_match('#http://v.youku.com/v_show/id_(.*?).html#i',$content,$matches)){
		return '
		<p id="wpjam_video_'.$wpjam_video_id.'" style="text-align: center;"><embed src="http://player.youku.com/player.php/sid/'.$matches[1].'/v.swf" allowFullScreen="true" quality="high" width="'.$width.'" height="'.$height.'" align="middle" allowScriptAccess="always" type="application/x-shockwave-flash"></embed></p>
		<script type="text/javascript">
			var ua = navigator.userAgent.toLowerCase();
			if(ua.match(/ipad/i)){
				document.getElementById(\'wpjam_video_'.$wpjam_video_id.'\').innerHTML=\'<video id="youku-html5-player-video" width="'.$width.'" height="'.$ipad_height.'" controls="" autoplay="" preload="" src="http://v.youku.com/player/getRealM3U8/vid/'.$matches[1].'/type/mp4/v.m3u8"></video>\';
			}else if(ua.match(/iphone/i)){
				document.getElementById(\'wpjam_video_'.$wpjam_video_id.'\').innerHTML=\'<video id="youku-html5-player-video" width="240" height="180" controls="" autoplay="" preload="" src="http://v.youku.com/player/getRealM3U8/vid/'.$matches[1].'/type/mp4/v.m3u8"></video>\';
			}
		</script>
	';
	}
}
